{% extends 'base/base.html' %}

{% block content %}
	<h4>Filtrar por:</h4>
	<form method="get">
	<p>
	Nombre: &nbsp{{ filter.form.nombre }} &nbsp
	Raza: &nbsp {{ filter.form.razaPredominante }} &nbsp
	Estado: &nbsp{{ filter.form.estado }} &nbsp;&nbsp;
	<button class="btn btn-success" type="submit">Filtrar</button>
	</p>
	</form>
	<table class="table table-bordered">
	<thead>
		<tr>
			<td>id</td>
			<td>Nombre</td>
			<td>Raza predominante</td>
			<td>Descripcion</td>
			<td>Estado</td>
			<td>Acciones</td>
		</tr>
		
	</thead>
	<tbody>
		{% if filter.qs %}
		{% for mascota in filter.qs %}
		<tr>
			<td>{{ mascota.id }}</td>
			<td>{{ mascota.nombre }}</td>
			<td>{{ mascota.razaPredominante }}</td>
			<td>{{ mascota.descripcion }}</td>
			<td>{{ mascota.estado }}</td>
			<td>
				<a class="btn btn-primary" href="{% url 'mascotas:mascota_mostrar' mascota.id %}">Ver</a>
				{% if request.user.is_staff %}
				<a class="btn btn-primary" href="{% url 'mascotas:mascota_editar' mascota.id %}">Editar</a>
				<a class="btn btn-danger" href="{% url 'mascotas:mascota_eliminar' mascota.id %}">Eliminar</a>
				{% endif %}>
			</td>
		</tr>
		{% endfor %}
		
		{% else %}
		<h1>No hay registros de Mascotas</h1>
		{% endif %}
	</tbody>
</table>
<ul class="pager">
	<li>
		{% if page_obj.has_previous %}
       	 <a href="?page={{ page_obj.previous_page_number }}">Previous</a>
		{% endif %}
        </li>
	<li>
		{% if page_obj.has_next %}
     	 <a href="?page={{ page_obj.next_page_number }}">Next</a> 
    	{% endif %}
    </li>
</ul> 
	
{% endblock %}

